org.jboss.jca.common.api.metadata.common

## Interface XaPool

- All Superinterfaces:
    JCAMetadata, Pool, java.io.Serializable, ValidatableMetadata
  All Known Subinterfaces:
    DsXaPool

      public interface XaPool
      extends Pool

  A XaPool.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XaPool.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isInterleaving()` Get the interleaving.
    `java.lang.Boolean` | `isNoTxSeparatePool()` Get the noTxSeparatePool.
    `java.lang.Boolean` | `isPadXid()` Get the padXid.
    `java.lang.Boolean` | `isSameRmOverride()` Get the isSameRmOverride.
    `java.lang.Boolean` | `isWrapXaResource()` Get the wrapXaResource.

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.common.Pool

      `getCapacity, getFlushStrategy, getInitialPoolSize, getMaxPoolSize, getMinPoolSize, isFair, isPrefill, isUseStrictMin`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Method Detail

    - #### isSameRmOverride

          java.lang.Boolean isSameRmOverride()

      Get the isSameRmOverride.
      Returns:
        the isSameRmOverride.

    - #### isInterleaving

          java.lang.Boolean isInterleaving()

      Get the interleaving.
      Returns:
        the interleaving.

    - #### isPadXid

          java.lang.Boolean isPadXid()

      Get the padXid.
      Returns:
        the padXid.

    - #### isWrapXaResource

          java.lang.Boolean isWrapXaResource()

      Get the wrapXaResource.
      Returns:
        the wrapXaResource.

    - #### isNoTxSeparatePool

          java.lang.Boolean isNoTxSeparatePool()

      Get the noTxSeparatePool.
      Returns:
        the noTxSeparatePool.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)